<?php
/*
 * ##################################################################
 * Created on: Jul 28, 2005
 * File name:  lxadmin.php
 * ################################################################## This code
 * is a sole property of netenberg.com
 * ##################################################################
 */
//error_reporting(E_ALL);
function killAccount($lxadmin_server, $lxadmin_user, $lxadmin_password, $usessl, $order_data, & $lxadmin, $lxadmin_hash)
{
    $result = $lxadmin->killacct($lxadmin_server, $lxadmin_user, $lxadmin_password, $usessl, $order_data['dom_user']);
    return $result;
}
function suspendAccount($lxadmin_server, $lxadmin_user, $lxadmin_password, $usessl, $order_data, & $lxadmin, $lxadmin_hash)
{
    $result = $lxadmin->suspend($lxadmin_server, $lxadmin_user, $lxadmin_password, $usessl, $order_data['dom_user']);
    return $result;
} 
function unsuspendAccount($lxadmin_server, $lxadmin_user, $lxadmin_password, $usessl, $order_data, & $lxadmin, $lxadmin_hash)
{
    $result = $lxadmin->unsuspend($lxadmin_server, $lxadmin_user, $lxadmin_password, $usessl, $order_data['dom_user']);
    return $result;
} 
function createAccount($lxadmin_server, $lxadmin_user, $lxadmin_password, $usessl, $package_data, $order_data, & $lxadmin, $lxadmin_hash)
{
    $lxadmin->limits     = $package_data;
    $lxadmin->order_data = $order_data;
    $result = $lxadmin->createacct($lxadmin_server, $lxadmin_user, $lxadmin_password, $usessl, $order_data['domain_name'], $order_data['dom_user'], $order_data['dom_pass'], $package_data['plan_name']);
    return $result;
}
function listAccounts($lxadmin_server, $lxadmin_user, $lxadmin_password, $usessl, & $lxadmin, $lxadmin_hash)
{
    $result = $lxadmin->listaccts($lxadmin_server, $lxadmin_user, $lxadmin_password, $usessl);    
    return $result;
}
function listPackages($lxadmin_server, $lxadmin_user, $lxadmin_password, $usessl, & $lxadmin, $lxadmin_hash)
{
    $result = $lxadmin->listpkgs($lxadmin_server, $lxadmin_user, $lxadmin_password, $usessl);   
    return $result;
}
function syncPackage($lxadmin_server, $lxadmin_user, $lxadmin_password, $usessl, $package_data, $submit, & $lxadmin, $lxadmin_hash)
{
    $result = "not supported by lxadmin";
    return $result;
}
?>